# -*- coding: utf-8 -*-

from django.db import models
from gestion import fields


class InfoReseau(models.Model):
    titre = models.CharField(max_length=70, blank=True)
    texte = models.TextField()
    pub_date = fields.DateField(verbose_name="Date de publication", auto_now_add=True)
    fin_aff = fields.DateField(verbose_name="Date de fin d’affichage")
    est_reprise = models.BooleanField(verbose_name="Information de reprise", default=False)

    def __str__(self):
        return self.titre

    class Meta:
        verbose_name = "Information réseau"
        verbose_name_plural = "Informations réseau"
